<template>
  <ul class="gridCategories">
    <li
      class="gridCategories-cell"
      v-for="(category, index) in categories"
      :key="index">
      <flink
        class="card"
        :href="`/categories/${category.slug}`">
        <div class="card-wrapper">
          <header class="card-header">
            <strong>{{ category.name }}</strong>
          </header>
        </div>
      </flink>
    </li>
  </ul>
</template>

<script>
export default {
  name: 'GridCategories',
  props: {
    categories: {
      type: Array,
      default() { return []; },
    },
  },
};
</script>

<style lang="postcss">
  .gridCategories {
    display: flex;
    flex: 0 1 auto;
    flex-wrap: wrap;
    padding: 0;
    margin: 0 -10px;
    list-style: none;
  }

  .gridCategories-cell {
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 20px;
    flex-basis: 25%;
    max-width: 25%;
  }

  .card {
    color: #1b1b1b;

    &:hover {
      & > .card-wrapper {
        background-color: #e9f5fb;
        transition: background-color .2ms ease-in;
      }
    }
  }
  .card-wrapper {
    padding: 1rem 1.125rem;
    min-height: 80px;
    font-size: 18px;
    border-radius: 4px;
    background-color: #f5f6f7;
    box-shadow: 0 1px 2px rgba(11, 46, 87, 0.23);
    word-break: break-word;
    overflow: hidden;
  }

  @media screen and (min-width: 1024px) and (max-width: 1366px)  {
    .gridCategories-cell {
      flex-basis: 33.33333333%;
      max-width: 33.33333333%;
    }
  }

  @media screen and (min-width: 568px) and (max-width: 980px)  {
    .gridCategories {
      padding-left: 1.5rem;
      padding-right: 1.5rem;
    }

    .gridCategories-cell {
      flex-basis: 50%;
      max-width: 50%;
    }
  }

  @media screen and (min-width: 320px) and (max-width: 568px)  {
    .gridCategories {
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      margin: 0;
    }

    .gridCategories-cell {
      padding-left: 0;
      padding-right: 0;
      flex-basis: 100%;
      max-width: 100%;
    }
  }
</style>
